petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSARKIMEXSetType

Set the type of ARK IMEX scheme

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSARKIMEXSetType(TS ts,TSARKIMEXType arktype)

Logically collective Many br

### Input Parameter

| ts | - timestepping context Many br
| arktype | - type of ARK-IMEX scheme Many br

Many br

### See Also

TSARKIMEXGetType(), TSARKIMEX, TSARKIMEX2D, TSARKIMEX2E, TSARKIMEXPRSSP2, TSARKIMEX3, TSARKIMEXBPR3, TSARKIMEXARS443, TSARKIMEX4, TSARKIMEX5

Level:intermediate
Location:src/ts/impls/arkimex/arkimex.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/extchem.c.html